diff --git a/benchmarks/scripts/dotestK.sh b/benchmarks/scripts/dotestK.sh
index ed61d8a176bc00515aa458cb1a5288ce2724938c..9417cc230ab839ab82d87abd84fc9412926d09b6 100755
--- a/benchmarks/scripts/dotestK.sh
+++ b/benchmarks/scripts/dotestK.sh
@@ -4,7 +4,7 @@ dir=$HOME/.www/cool/noon/
 
 while sleep 0.2 ; do
     for T in 5 ; do
-        for d in $(seq 2 3 17) ; do
+        for d in {8..15} ; do
             echo
             echo "=== d=$d T=$T ==="
              ~/git/cool-solver/randcool/dist/build/randcool/randcool \
@@ -17,7 +17,9 @@ while sleep 0.2 ; do
                 -d $d \
                 > input
 
-           ./coalgcompare --timeout 300 genericK < input | tee -a $dir/K-d${d}-T${T}.${HOSTNAME}
+           ./coalgcompare --timeout 300 genericK < input \
+                | tee -a $dir/K-d${d}-T${T}.${HOSTNAME} \
+            || break
         done
     done
 done
diff --git a/install-remote.sh b/install-remote.sh
index 823af09bbaa911466821f88528094d6e535c3536..0f431633504ebd93f11c266721d7702f3c20813c 100755
--- a/install-remote.sh
+++ b/install-remote.sh
@@ -1,15 +1,15 @@
-#!/bin/bash
+#!/bin/bash -e
 
 
 # install everything on a remote machine
 
-[ -f FaCT++ ]   || wget http://wwwcip.cs.fau.de/~re06huxa/pkg/FaCT++
+[ -f FaCT++ ]   || { wget http://wwwcip.cs.fau.de/~re06huxa/pkg/FaCT++ && chmod +x FaCT++ ; }
 [ -f tatl ]     || wget -O - http://atila.ibisc.univ-evry.fr/tableau_ATL/bin/tatl.tar.gz | tar xv
 
 files=(
     coalg
     coalgcompare
-    benchmarks/
+    benchmarks/scripts/*
 
     FaCT++
     fact.conf
@@ -26,4 +26,7 @@ files=(
 echo "==> sending files:"
 printf ":: %s\n" "${files[@]}"
 
-rsync --copy-links -r "${files[@]}" "$1:/${2:-/var/tmp/re06huxa/}"
+host="${1}:"
+[ -z "$1" ] && host=""
+
+rsync --copy-links -r "${files[@]}" "$host/${2:-/var/tmp/re06huxa/}"